@import '~@angular/material/theming';

$fontConfig: (
    display-4:
        mat-typography-level(112px, 112px, 300, 'Playfair Display', -0.0134em),
    display-3:
        mat-typography-level(56px, 56px, 400, 'Playfair Display', -0.0089em),
    display-2: mat-typography-level(45px, 48px, 400, 'Playfair Display', 0em),
    display-1:
        mat-typography-level(34px, 40px, 400, 'Playfair Display', 0.0074em),
    headline: mat-typography-level(24px, 32px, 400, 'Playfair Display', 0em),
    title: mat-typography-level(20px, 32px, 500, 'Playfair Display', 0.0075em),
    subheading-2:
        mat-typography-level(16px, 28px, 400, 'Playfair Display', 0.0094em),
    subheading-1:
        mat-typography-level(15px, 24px, 500, 'Playfair Display', 0.0067em),
    body-2: mat-typography-level(14px, 24px, 500, 'Poppins', 0.0179em),
    body-1: mat-typography-level(14px, 20px, 400, 'Poppins', 0.0179em),
    button: mat-typography-level(14px, 14px, 600, 'Poppins', 0.0893em),
    caption: mat-typography-level(12px, 20px, 400, 'Poppins', 0.0333em),
    input: mat-typography-level(inherit, 1.125, 500, 'Poppins', 1.5px)
);

@include mat-core($fontConfig);

// Set Colors
$mat-primary: (
    main: #003049,
    lighter: #b3c1c8,
    darker: #001e31,
    200: #003049,
    // For slide toggle,
    contrast:
        (
            main: $light-primary-text,
            lighter: $dark-primary-text,
            darker: $light-primary-text
        )
);
$theme-primary: mat-palette($mat-primary, main, lighter, darker);

$mat-accent: (
    main: #f77f00,
    lighter: #fdd9b3,
    darker: #f36200,
    200: #f77f00,
    // For slide toggle,
    contrast:
        (
            main: $dark-primary-text,
            lighter: $dark-primary-text,
            darker: $dark-primary-text
        )
);
$theme-accent: mat-palette($mat-accent, main, lighter, darker);

$mat-warn: (
    main: #ff0000,
    lighter: #ffb3b3,
    darker: #ff0000,
    200: #ff0000,
    // For slide toggle,
    contrast:
        (
            main: $light-primary-text,
            lighter: $dark-primary-text,
            darker: $light-primary-text
        )
);
$theme-warn: mat-palette($mat-warn, main, lighter, darker);
$theme: mat-light-theme($theme-primary, $theme-accent, $theme-warn);
// $altTheme: mat-dark-theme($theme-primary, $theme-accent, $theme-warn);

// Theme Init
@include angular-material-theme($theme);
